BaseUtilities Class Reference

This class contains static utilities for performing basic operations on bases. More...

`#include <BaseUtilities.h>`

## Static Public Member Functions

static bool | isAmbiguous (char base)
| Returns whether or not the specified bases is an indicator for ambiguity. More...
static bool | areEqual (char base1, char base2)
| Returns whether or not two bases are equal (case insensitive), if one of the bases is '=', the bases are consided to be equal.
static uint8_t | getPhredBaseQuality (char charQuality)
| Get phred base quality from the specified ascii quality.
static char | getAsciiQuality (uint8_t phredQuality)
| Get ascii quality from the specified phred quality.
static void | reverseComplement (std::string &sequence)

## Static Public Attributes

static const char | UNKNOWN_QUALITY_CHAR = ' '
| Character used when the quality is unknown.
static const uint8_t | UNKNOWN_QUALITY_INT = 0xFF
| Int value used when the quality is unknown.

## Detailed Description

This class contains static utilities for performing basic operations on bases.

Definition at line 27 of file BaseUtilities.h.

## Member Function Documentation

## isAmbiguous()

bool BaseUtilities::isAmbiguous | ( | char | base | ) |

static

Returns whether or not the specified bases is an indicator for ambiguity.

Returns
  true if base = 'n' or 'N' or '.'

Definition at line 23 of file BaseUtilities.cpp.

{
switch(base)
{
case 'N':
case 'n':
case '.':
return(true);
default:
break;
};
// Not 'N', 'n', or '.', so return false.
return(false);
}

Referenced by SamTags::createMDTag(), SamQuerySeqWithRefIter::getNextMatchMismatch(), and SamQuerySeqWithRef::seqWithEquals().

The documentation for this class was generated from the following files:

- general/BaseUtilities.h
- general/BaseUtilities.cpp